/*-------------------------------------------------------------------------+
| Copyright 2015 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.af3.exploration.alg.dse.backend.opt4j.extensions.compositegene.genotype;

import org.opt4j.core.Genotype;
import org.opt4j.core.genotype.CompositeGenotype;

/**
 * Interface for {@link Genotype}s that compose a {@link CompositeGenotype}.
 * 
 * @author diewald
 */
public interface ComposableGenotype extends Genotype {

	/**
	 * Returns the type which shall be used to register the {@link ComposableGenotype} at its
	 * containing {@link CompositeGenotype}.
	 */
	Class<? extends ComposableGenotype> getGTypeToRegister();
}
